-- RTASpeedLimiter
--
-- Version 1.0
-- Autor Ralf08
-- 
-- Change log:
-- 12.04.2015 / Ralf08 / release
-- 12.07.2015 / Ralf08 / small corrections


DrivableSpeedLimiter_Register = {};

if SpecializationUtil.specializations["DrivableSpeedLimiter"] == nil then
	SpecializationUtil.registerSpecialization("DrivableSpeedLimiter", "DrivableSpeedLimiter", g_currentModDirectory.."DrivableSpeedLimiter.lua")
	DrivableSpeedLimiter_Register.isLoaded = false;
end;


function DrivableSpeedLimiter_Register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
				local allowInsertion = true;
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					if vs ~= nil and vs == SpecializationUtil.getSpecialization("drivable")then
						local v_name_string = v.name 
						local point_location = string.find(v_name_string, ".", nil, true)
						if point_location ~= nil then
							local _name = string.sub(v_name_string, 1, point_location-1);
							if rawget(SpecializationUtil.specializations, string.format("%s.DrivableSpeedLimiter", _name)) ~= nil then
								allowInsertion = false;								
							end;							
						end;
						if allowInsertion then	
							table.insert(v.specializations, SpecializationUtil.getSpecialization("DrivableSpeedLimiter"));
						end;
					end;
				end;
			end;	
		end;
		g_i18n.globalI18N.texts["RTASpeedLimiterkey1"] = g_i18n:getText("RTASpeedLimiterkey1");
		g_i18n.globalI18N.texts["RTASpeedLimiterkey2"] = g_i18n:getText("RTASpeedLimiterkey2");
		g_i18n.globalI18N.texts["RTASpeedLimiterkey3"] = g_i18n:getText("RTASpeedLimiterkey3");
		g_i18n.globalI18N.texts["RTAerror1"] = g_i18n:getText("RTAerror1");
		g_i18n.globalI18N.texts["RTAerror2"] = g_i18n:getText("RTAerror2");
	end;	
end;


function DrivableSpeedLimiter_Register:deleteMap()
  
end;

function DrivableSpeedLimiter_Register:keyEvent(unicode, sym, modifier, isDown)

end;

function DrivableSpeedLimiter_Register:mouseEvent(posX, posY, isDown, isUp, button)

end;

function DrivableSpeedLimiter_Register:update(dt)
	
end;

function DrivableSpeedLimiter_Register:draw()
end;

addModEventListener(DrivableSpeedLimiter_Register);